* ------------------------------------------------------------------------
* ------------------------------------------------------------------------
* SISTEMA.......:
* PROGRAMA......:
* AUTOR.........: EDUARDO V. FLORES RIVAS
* FECHA.........:
* ACTUALIZADO...:
* COMENTARIOS...:
* ------------------------------------------------------------------------
* ------------------------------------------------------------------------

PROC ComparaPrgs

   DEFINE WINDOW Win_Versus ;
      AT 0,0 ;
      WIDTH 1000 ;
      HEIGHT 700 ;
      TITLE 'Comparar'  ;
      MODAL ;
      ON INIT VersusInicia() ;
      FONT 'ARIAL' SIZE 9
//
//
//
      DEFINE TOOLBAR VersusBarra BUTTONSIZE 70,30 FLAT BORDER

         BUTTON BotCargar ;
            CAPTION '&Cargar' ;
            PICTURE 'imagen\engranajes.bmp' ;
            ACTION VersusCargar()

         BUTTON BotBarrer ;
            CAPTION '&Barrer' ;
            PICTURE 'imagen\clonar.bmp' ;
            ACTION VersusBarrer()

         BUTTON BotSalir     ;
            CAPTION '&Salir'   ;
            PICTURE 'imagen\salir.bmp' ;
            ACTION VersusSalir()

      END TOOLBAR
//
//
//
      @ 060 , 020 LABEL Label_1 ;
        VALUE 'Folder 1:' ;
        ACTION VersusSet1() ;
        WIDTH 90 ;
        FONTCOLOR Color_Label4_Font ;
        BACKCOLOR Color_Label4_Back ;
        RIGHTALIGN

      @ 060 , 120 TEXTBOX Folder1 ;
        WIDTH 700 ;
        READONLY
//
//
//
      @ 090 , 020 LABEL Label_2 ;
        VALUE 'Folder 2:' ;
        ACTION VersusSet2() ;
        WIDTH 90 ;
        FONTCOLOR Color_Label4_Font ;
        BACKCOLOR Color_Label4_Back ;
        RIGHTALIGN

      @ 090 , 120 TEXTBOX Folder2 ;
        WIDTH 700 ;
        READONLY
//
//
//
      @ 130 , 010 BROWSE BrwVersus ;
        WIDTH  980 ;
        HEIGHT 510 ;
        HEADERS { 'Archivo 1', 'Tamao 1' , 'Fecha 1' , 'Hora 1' , 'VERSUS' , 'Archivo 2', 'Tamao 2' , 'Fecha 2' , 'Hora 2' } ;
        FIELDS  { 'ARCHIVO1' , 'TAMANO1'  , 'FECHA1'  , 'HORA1'  , 'VS'     , 'ARCHIVO2' , 'TAMANO2'  , 'FECHA2'  , 'HORA2'  } ;
        WIDTHS  {   200      ,   080      ,  080      ,   060    ,  050     ,   200      ,   080      ,  080      ,   060    } ;
        JUSTIFY {   BrwL     ,  BrwR      ,  BrwC     ,   BrwC   ,  BrwC    ,   BrwL     ,  BrwR      ,  BrwC     ,   BrwC    } ;
        WORKAREA XVS

   END WINDOW

   CENTER WINDOW Win_Versus
   ACTIVATE WINDOW Win_Versus

RETURN


*------------------------------------------------------------------------------*
*------------------------------------------------------------------------------*
*------------------------------------------------------------------------------*

PROC VersusInicia()


RETURN


*------------------------------------------------------------------------------*
*------------------------------------------------------------------------------*
*------------------------------------------------------------------------------*

PROC VersusSalir()

   Win_Versus.Release

RETURN


*------------------------------------------------------------------------------*
*------------------------------------------------------------------------------*
*------------------------------------------------------------------------------*

PROC VersusSet1()

LOCAL cActualPath := GetCurrentFolder()
LOCAL cFold1      := GetFolder()

   SetCurrentFolder( cActualPath )

   IF EMPTY( cFold1 )
      RETURN
   ENDIF

   Win_Versus.Folder1.Value := cFold1

RETURN


*------------------------------------------------------------------------------*
*------------------------------------------------------------------------------*
*------------------------------------------------------------------------------*

PROC VersusSet2()

LOCAL cActualPath := GetCurrentFolder()
LOCAL cFold2      := GetFolder()

   SetCurrentFolder( cActualPath )

   IF EMPTY( cFold2 )
      RETURN
   ENDIF

   Win_Versus.Folder2.Value := cFold2

RETURN


*------------------------------------------------------------------------------*
*------------------------------------------------------------------------------*
*------------------------------------------------------------------------------*

PROC VersusCargar()

LOCAL cVersusDbf := 'Versus.dbf'
LOCAL cVersusCdx := 'Versus.cdx'
LOCAL aVersusDbf := {;
{'ARCHIVO1','C',50,0},;
{'TAMANO1' ,'N',10,0},;
{'FECHA1'  ,'C', 8,0},;
{'HORA1'   ,'C', 5,0},;
{'VS'      ,'C', 1,0},;
{'ARCHIVO2','C',50,0},;
{'TAMANO2' ,'N',10,0},;
{'FECHA2'  ,'C', 8,0},;
{'HORA2'   ,'C', 5,0}}

   IF EMPTY(Win_Versus.Folder1.Value) .OR. EMPTY(Win_Versus.Folder2.Value)
      RETURN
   ENDIF

   Win_Versus.VersusBarra.Enabled := .F.

   DELETE FILE &cVersusCdx
   DBCREATE( cVersusDbf , aVersusDbf )

   SELE 0
   USE &cVersusDbf ALIAS XVS EXCLUSIVE VIA 'DBFCDX'
   INDEX ON ARCHIVO1 TAG XVSxFile TO &cVersusCdx
   SET INDEX TO &cVersusCdx

   aDir1 := DIRECTORY( ALLTRIM(Win_Versus.Folder1.Value)+'\*.prg' )
   FOR nDir1 = 1 TO LEN(aDir1)
      APPEND BLANK
      XVS->ARCHIVO1 := aDir1[nDir1,1]
      XVS->TAMANO1  := aDir1[nDir1,2]
      XVS->FECHA1   := DTOC(aDir1[nDir1,3])
      XVS->HORA1    := aDir1[nDir1,4]
   NEXT

   aDir2 := DIRECTORY( ALLTRIM(Win_Versus.Folder2.Value)+'\*.prg' )
   FOR nDir2 = 1 TO LEN(aDir2)
      DBSEEK( aDir2[nDir2,1] )
      IF FOUND()
         XVS->ARCHIVO2 := aDir2[nDir2,1]
         XVS->TAMANO2  := aDir2[nDir2,2]
         XVS->FECHA2   := DTOC(aDir2[nDir2,3])
         XVS->HORA2    := aDir2[nDir2,4]
      ELSE
         APPEND BLANK
         XVS->ARCHIVO2 := aDir2[nDir2,1]
         XVS->TAMANO2  := aDir2[nDir2,2]
         XVS->FECHA2   := DTOC(aDir2[nDir2,3])
         XVS->HORA2    := aDir2[nDir2,4]
      ENDIF
   NEXT

   DBGOTOP()
   DO WHILE .NOT. XVS->(EOF())
      cStamp1 := XVS->( CTOS(FECHA1)+STRTRAN(HORA1,':') )
      cStamp2 := XVS->( CTOS(FECHA2)+STRTRAN(HORA2,':') )
      DO CASE
         CASE cStamp1 = cStamp2
            XVS->VS := '='
         CASE cStamp1 > cStamp2
            XVS->VS := '>'
         CASE cStamp1 < cStamp2
            XVS->VS := '<'
      ENDCASE
      SKIP
   ENDDO

   DBGOTOP()
   Win_Versus.BrwVersus.Value := XVS->(RECNO())
   Win_Versus.BrwVersus.Refresh
   Win_Versus.BrwVersus.Setfocus

   Win_Versus.VersusBarra.Enabled := .T.

RETURN