* ------------------------------------------------------ *
* SISTEMA     : DIURNO                                   *
* PRG         : UTILES.PRG                               *
* CREADO      : 13-09-2010                               *
* ACTUALIZADO :                                          *
* AUTOR       : EDUARDO V. FLORES RIVAS                  *
* COMENTARIOS : ADMINISTRADOR DE UBICACIONES             *
* ------------------------------------------------------ *

#include <hmg.ch>

FUNCTION MAIN

REQUEST DBFCDX
REQUEST HB_LANG_ES
REQUEST HB_CODEPAGE_ESWIN

RDDSETDEFAULT("DBFCDX")
HB_LANGSELECT( "ES" )
HB_SetCodePage("ESWIN")

SET BELL       Off
SET BROWSESYNC On
SET CONSOLE    Off
SET CURSOR     Off
SET DATE TO BRIT
SET DELETED    On
SET DELIMITERS Off
SET ECHO       Off
SET EPOCH TO 1990
SET MULTIPLE   Off
SET SCOREBOARD Off
SET SOFTSEEK   On
SET TALK       Off
SET WRAP       On

PUBLIC BOLDON             := CHR(27)+'G'
PUBLIC BOLDOFF            := CHR(27)+'H'
PUBLIC TACHADO            := CHR(27)+CHR(40)+CHR(45)+CHR(2)
PUBLIC LITTLEON           := CHR(15)
PUBLIC LITTLEOFF          := CHR(18)
PUBLIC PFF                := CHR(12)
PUBLIC PLF                := CHR(10)+CHR(13)
PUBLIC PCR                := CHR(13)

PUBLIC Mi_Amarillo        := {255,255,192}
PUBLIC Mi_Verde_Nilo      := {160,192,192}
PUBLIC Mi_Verde_Claro     := {192,255,192}
PUBLIC Mi_Celeste_Suave   := {160,192,255}
PUBLIC Mi_Celeste_Claro   := {192,255,255}
PUBLIC Mi_Naranja         := {255,160,096}
PUBLIC Mi_Rosa_Oscuro     := {128,032,096}
PUBLIC Mi_Azul_Grisaceo   := {128,160,192}
PUBLIC Mi_Azul_Oscuro     := {032,032,128}
PUBLIC Mi_Negro           := {000,000,000}
PUBLIC Mi_Gris            := {211,211,211}

PUBLIC Color_Browse_Admin := Mi_Amarillo
PUBLIC Color_Browse_Help  := Mi_Amarillo
PUBLIC Color_Grid_Datos   := Mi_Celeste_Claro

PUBLIC Color_Label1_Font  := WHITE
PUBLIC Color_Label1_Back  := Mi_Azul_Oscuro
PUBLIC Color_Dato1_Font   := WHITE
PUBLIC Color_Dato1_Back   := Mi_Azul_Grisaceo

PUBLIC Color_Label2_Font  := BLACK
PUBLIC Color_Label2_Back  := Mi_Naranja
PUBLIC Color_Dato2_Font   := YELLOW
PUBLIC Color_Dato2_Back   := Mi_Rosa_Oscuro

PUBLIC Color_Label3_Font  := BLACK
PUBLIC Color_Label3_Back  := Mi_Verde_Nilo
PUBLIC Color_Dato3_Font   := BLACK
PUBLIC Color_Dato3_Back   := Mi_Verde_Claro

PUBLIC Color_Label4_Font  := BLACK
PUBLIC Color_Label4_Back  := Mi_Celeste_Claro
PUBLIC Color_Dato4_Font   := BLACK
PUBLIC Color_Dato4_Back   := Mi_Celeste_Suave

PUBLIC ColRotuRegFont1    := WHITE
PUBLIC ColRotuRegBack1    := {0,100,200}
PUBLIC ColDatoRegFont1    := WHITE
PUBLIC ColDatoRegBack1    := {10,180,220}
PUBLIC ColRotuRegFont2    := WHITE
PUBLIC ColRotuRegBack2    := {255,125,0}
PUBLIC ColDatoRegFont2    := WHITE
PUBLIC ColDatoRegBack2    := {150,25,100}
PUBLIC ColRotuRegFont3    := WHITE
PUBLIC ColRotuRegBack3    := {0,200,125}
PUBLIC ColDatoRegFont3    := WHITE
PUBLIC ColDatoRegBack3    := {0,200,200}

PUBLIC aDisabledFont      := {032,032,128}
PUBLIC aDisabledBack      := {217,225,228}

PUBLIC aMes3              := {'ENE','FEB','MAR','ABR','MAY','JUN','JUL','AGO','SET','OCT','NOV','DIC'}
PUBLIC BrwL               := BROWSE_JTFY_LEFT
PUBLIC BrwR               := BROWSE_JTFY_RIGHT
PUBLIC BrwC               := BROWSE_JTFY_CENTER

   DEFINE WINDOW Win_Utiles ;
      AT 0 , 0 ;
      WIDTH 620 HEIGHT 680 ;
      TITLE 'UTILITARIOS' ;
      MAIN

      DEFINE TOOLBAR RutaBarra BUTTONSIZE 70,30 FLAT BORDER

         BUTTON BotUtiles ;
            CAPTION '&Utiles' ;
            PICTURE 'imagen\lupa.bmp' ;
            WHOLEDROPDOWN
            DEFINE DROPDOWN MENU BUTTON BotUtiles
               ITEM 'Comparar .prgs'        ACTION ComparaPrgs()
               ITEM 'Comparar .dbfs'        ACTION ComparaDBFS()
            END MENU

         BUTTON BotSalir     ;
            CAPTION '&Salir' ;
            PICTURE 'imagen\salir.bmp' ;
            ACTION Win_Utiles.Release

      END TOOLBAR
//
//
//
      DEFINE STATUSBAR
         STATUSITEM "..." ACTION MsgInfo('Ubicaciones')
         CLOCK
         DATE
      END STATUSBAR

   END WINDOW


   ACTIVATE WINDOW Win_Utiles

RETURN

#INCLUDE "ComparaPrgs.prg"
#INCLUDE "ActualizaPrgs.prg"
#INCLUDE "ComparaDBFS.prg"

#INCLUDE "FUNCION.PRG"
#INCLUDE "VISUALES.PRG"